Replace which by bash-builtin hash

Reportedly, which is not installed by default on all non-windows
systems bazel is used. As we only use which to test if a program
can be found on PATH, use the bash builtin hash command. While there
- replace the search for [ by a search for tr, a program we care more,
  as [ is the builtin test anyway,
- fix a typo in the name of the GNU tools collection searched for.

Change-Id: Id78737eba10e96c6fa41ca68a47102ab28e6031f
PiperOrigin-RevId: 166685117
diff --git a/compile.sh b/compile.sh
index e481690..f8af226 100755
--- a/compile.sh
+++ b/compile.sh
@@ -36,8 +36,8 @@
 
 # Check that the bintools can be found, otherwise we would see very confusing
 # error messages.
-which [ >&/dev/null || {
-  echo >&2 "ERROR: cannot locate GNU bintools; check your PATH."
+hash tr >&/dev/null || {
+  echo >&2 "ERROR: cannot locate GNU coreutils; check your PATH."
   echo >&2 "       (You may need to run 'export PATH=/bin:/usr/bin:\$PATH)'"
   exit 1
 }